/* $Header: /home/cobweb3/surendar/networks/RCS/global.h,v 2.1 1993/01/29 08:09:07 surendar Exp $ */

/* \input cnoweb
 * \title $Source: /home/cobweb3/surendar/networks/RCS/global.h,v $
 * \synopsis{ global definitions}
 * 
 * Author:	$Author: surendar $
 * 		Dept. of Computer Sciences
 * 		Worcester Polytechnic Institute.
 * Date:	$Date: 1993/01/29 08:09:07 $
 *
 * Copyright (c) 1993 $Author: surendar $
 */

/*
 * $Log: global.h,v $
 * Revision 2.1  1993/01/29  08:09:07  surendar
 * Assignment II release
 *
 * Revision 1.3  1993/01/29  08:06:15  surendar
 * Prepare for assignment II
 *
 * Revision 1.2  1993/01/14  19:07:36  surendar
 * Checked in for Assignment I
 *
 */

phys_ctrl_t phys_control = {"", 9600, 10, 0}; /* Default physical layer */
int logfile = 2;		/* Log file, stderr by default */

int aldl_fd = -1,
    dlal_fd = -1,
    dlpl_fd = -1,
    pldl_fd = -1; /* Various socket fd */

layer_t cur_layer;		/* Current layer active */

caddr_t progname = NULL;	/* Name of current program */
boolean_t Verbose = 0;		/* Verbose output?? */
int Debug_level = 0;		/* Current debug level used by log */

char source[MAXPATHLEN],	/* Source file name */
    desthost[MAXPATHLEN];	/* Destination host name (Project II) */

boolean_t client = False;	/* Client process? (Project II) */

err_t nerrno = Success;		/* Global net error holder */

long  logger_port = -1;

long Dump = 0;

long Server = 0;

long phys_forward = -1, phys_reverse = -1;

phys_ctrl_t *phys_ptr;
extern caddr_t shmcreate(size_t);
/* \endc */
